=== debian/changelog ===
stud (0.3~0.20111212) unstable; urgency=low

  * Initial release.

 -- Charlie Root <root@interseek.com>  Mon, 12 Dec 2011 13:24:18 +0100
